﻿$v2rayPID = Get-Process -name v2ray | Select-Object id | ForEach-Object -Process { $_.id }
$wv2rayPID = Get-Process -name wv2ray | Select-Object id | ForEach-Object -Process { $_.id }
$v2rayInstallPath = $env:SystemDrive + "\tools" + "\v2ray"
$toolsDir = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url = "https://github.com/v2ray/v2ray-core/releases/download/v4.23.3/v2ray-windows-32.zip"
$url64 = "https://github.com/v2ray/v2ray-core/releases/download/v4.23.3/v2ray-windows-64.zip"
$SHA256_32 = "47476d4bc579ec38d886aa12addda902f9861402b0107421d3cb68dc9ed4a49b"
$SHA256_64 = "f1023350699ab340b826d87bf550203904c60beb915d3e85049c0f57f7c4eac5"

Get-ChocolateyWebFile -PackageName 'v2ray.zip' -FileFullPath "$toolsDir\v2ray.zip"  -Url $url  -Checksum $SHA256_32 -ChecksumType 'sha256' -Url64 $url64  -Checksum64 $SHA256_64  -ChecksumType64 'sha256'
if ([String]::IsNullOrEmpty($v2rayPID)) {
    Write-Host "Process v2ray.exe is not running."
} 
else {
    Write-Host "Process v2ray.exe is running, stop it and install a new version."; Stop-Process $v2rayPID
}
if ([String]::IsNullOrEmpty($wv2rayPID)) {
    Write-Host "Process wv2ray.exe is not running."
} 
else {
    Write-Host "Process wv2ray.exe is running, stop it and install a new version."; Stop-Process $wv2rayPID
}
Install-ChocolateyZipPackage -PackageName 'v2ray'  -UnzipLocation $v2rayInstallPath -File $toolsDir\v2ray.zip  -File64 $toolsDir\v2ray.zip 
Install-ChocolateyPath $v2rayInstallPath -PathType 'Machine'
Write-Host "V2Ray Core has been installed / updated, you can use it now."